param(
	[Parameter(Mandatory=$true)] [string] $teamCityToken,
	[Parameter(Mandatory=$true)] [string] $giteaToken,
	[Parameter(Mandatory=$true)] [string] $branch,
	[Parameter(Mandatory=$true)] [string] $pullId
)

Write-Output "Starting tests in $branch"

$scriptDir = Split-Path -Path $MyInvocation.MyCommand.Definition -Parent


& $scriptDir/Run-TeamCityBuild.ps1 -token $teamCityToken -branch $branch -buildId "LU_FullTests"
& $scriptDir/Run-TeamCityBuild.ps1 -token $teamCityToken -branch $branch -buildId "LU_ReleaseBuild"

# Получим теги пулл-реквеста

Invoke-RestMethod -Uri https://sc.lers.ru/api/v1/repos/lers/LersUchet/pulls/$pullId -Headers @{Authorization = "token $giteaToken"}

Write-Output $pull.labels
Write-Output "checking wb"

$webLabel = $pull.labels | Where-Object { $_.name -eq "comp/Web" }

if ($webLabel)
{
	Write-Host "Running web tests"
	& $scriptDir/Run-TeamCityBuild.ps1 -token $teamCityToken -branch $branch -buildId "LU_Tests_WebTests"
}
